콘텐츠로 건너뛰기

Flux 3 Extend Video Draft

통합

모델 id blackforestlabs/flux-3/extend-video/draft
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/extend-video/draft?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $2.40 2,400 API 크레딧 이 페이지에서 실행

API 키 받기
Black Forest Labs 동영상을 동영상으로 네이티브 오디오립싱크5–20 s #stylized#transform#lipsync

기존 MP4의 초안 품질 연장본을 생성하며 생성 오디오를 선택적으로 추가합니다

Black Forest Labs · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

초안 동영상을 설명하는 텍스트입니다.

•필수 video_url
파일을 끌어다 놓거나

URL 또는 데이터 URI로 제공되는 소스 MP4입니다. 최대 크기는 50 MiB입니다.

duration auto

5~20초의 정수 또는 `auto`로 지정하는 초안 길이입니다.

aspect_ratio 기본값 auto

초안 출력의 가로세로 비율입니다. `auto`는 선택을 모델에 위임합니다.

고급 safety_tolerance
기본값 2

동영상 안전 허용 수준은 가장 허용적인 설정이 4이고 가장 엄격한 설정이 0인 척도를 사용합니다.

POST /run/blackforestlabs/flux-3/extend-video/draft?wait=20 견적 → $2.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/extend-video/draft?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Flux 3 Extend Video Draft 정보

`prompt`에 따라 원본 비디오(`video_url`, MP4, 최대 50 MiB)를 확장합니다. `duration`은 auto 또는 정수 초이며 `aspect_ratio`는 21:9~9:16 또는 auto입니다. `generate_audio`로 사운드를 켜거나 끌 수 있고 `safety_tolerance`는 0~4입니다. 반환된 `draft_cache`는 최고 품질 렌더링을 위해 `draft-enhance`에 전달할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
초안 동영상을 설명하는 텍스트입니다.
aspect_ratio선택 사항
유형enum
기본값auto
auto21:92:116:94:31:13:49:16
초안 출력의 가로세로 비율입니다. `auto`는 선택을 모델에 위임합니다.
duration선택 사항
유형enum
기본값auto
auto5678910111213141516171819
+1개 더 보기20
5~20초의 정수 또는 `auto`로 지정하는 초안 길이입니다.
generate_audio선택 사항
유형boolean
기본값true
초안 동영상의 오디오 생성을 제어합니다.
safety_tolerance선택 사항
유형integer
기본값2
0 – 4
동영상 안전 허용 수준은 가장 허용적인 설정이 4이고 가장 엄격한 설정이 0인 척도를 사용합니다.
video_url필수 video
유형url · video
URL 또는 데이터 URI로 제공되는 소스 MP4입니다. 최대 크기는 50 MiB입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/extend-video/draft",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2400,
    "usd": "2.40",
    "charged": 2400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "draft_cache": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}초안으로 생성된 동영상입니다.
draft_cache
object {url, content_type, file_name, file_size} | null`draft-enhance`를 통해 초안을 최고 품질로 렌더링하기 위한 캐시 데이터입니다. 영구 암호화 번들에 저장됩니다. 파트너가 초안에 대한 번들을 반환하지 않으면 이 출력은 없습니다.

더 많은 모델: 동영상을 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/blackforestlabs/flux-3/extend-video/draft.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt